# distort.h File Reference

`#include <magick/draw.h>`

Go to the source code of this file.

## Enumerations

enum | DistortImageMethod { UndefinedDistortion, AffineDistortion, AffineProjectionDistortion, ArcDistortion, BilinearDistortion, PerspectiveDistortion, PerspectiveProjectionDistortion, ScaleRotateTranslateDistortion }

## Functions

MagickExport Image * | DistortImage (Image *image, const DistortImageMethod, const unsigned long, const double *, const MagickBooleanType, ExceptionInfo *exception)

## Enumeration Type Documentation

enum DistortImageMethod

Enumerator:

  UndefinedDistortion |
  AffineDistortion |
  AffineProjectionDistortion |
  ArcDistortion |
  BilinearDistortion |
  PerspectiveDistortion |
  PerspectiveProjectionDistortion |
  ScaleRotateTranslateDistortion |

## Function Documentation

MagickExport Image* DistortImage | ( | Image * | image,
|  | const | DistortImageMethod,
|  | const unsigned | long,
|  | const double * | ,
|  | const | MagickBooleanType,
|  | ExceptionInfo * | exception |
| ) |  |  |